ProofMode uses a number of proprietary Google Play Services libraries, such as Play Integrity (SafetyNet), FusionLocationProvider and others, to provide extra assurances about the provenance of media files generated on an Android device.
